%global spec_name geronimo-saaj_1.3_spec

Name:             geronimo-saaj
Version:          1.1
Release:          23
Summary:          SOAP with Attachments API for Java
License:          Apache-2.0 and W3C

URL:              http://geronimo.apache.org/
Source0:          https://repo1.maven.org/maven2/org/apache/geronimo/specs/%{spec_name}/%{version}/%{spec_name}-%{version}-source-release.tar.gz
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0 jpackage-utils maven-local geronimo-parent-poms
BuildRequires:    maven-resources-plugin geronimo-osgi-locator

Provides:         saaj_api = 1.3

%description
This package provides the API for creating and building SOAP messages.

%package help
Summary:          Help package for %{name}
Provides:         %{name}-javadoc = %{version}-%{release}
Obsoletes:        %{name}-javadoc < %{version}-%{release}

%description help
This package contains the help info and API documentation for %{name}.


%prep
%autosetup -n %{spec_name}-%{version} -p1
iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv
mv -f LICENSE.conv LICENSE

%pom_set_parent org.apache.geronimo.specs:specs:1.4
%pom_remove_dep :geronimo-activation_1.1_spec

%mvn_alias : org.apache.geronimo.specs:geronimo-saaj_1.1_spec
%mvn_alias : javax.xml.soap:saaj-api

%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files help -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Wed Nov 23 2022 Ge Wang <wangge20@h-partners.com> - 1.1-23
- replace source url with valid address

* Sat Feb 29 2020 catastrowings <jianghuhao1994@163.com> - 1.1-22
- openEuler package init
